/**
 * @copyright lei006 Software Ltd. 2022 http://lei006.it
 * @date 2022-05-18
 * @author WangLei <lei006@qq.com>
 */

'use strict';

var assert = require('assert');



var SortFile = require('../index').default;


function run(fn, times) {
  while (times > 0) {
    fn();
    times--;
  }
}


describe('基本', function () {
  

  describe('数字-1', function () {
    it('', function () {
      run(function () {

        let test_array = ["1005",'18','', 'aa000', 'bbb', '222cccc1', 'aa','b1'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === '' && out_array[out_array.length - 1] === 'bbb');
      }, 1);
    });
  });
  describe('数字-2', function () {
    it('', function () {
      run(function () {

        let test_array = ["a1005",'a18'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === 'a18' && out_array[out_array.length - 1] === 'a1005');
      }, 1);
    });
  });

  describe('数字-3', function () {
    it('', function () {
      run(function () {

        let test_array = ["ab1005",'aa18','ac'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === 'aa18' && out_array[out_array.length - 1] === 'ac');
      }, 1);
    });
  });

  
  describe('数字-1', function () {
    it('', function () {
      run(function () {

        let test_array = ["a1005",'a'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === 'a' && out_array[out_array.length - 1] === 'a1005');
      }, 1);
    });
  });

  describe('数字-1', function () {
    it('', function () {
      run(function () {

        let test_array = ["a1005",'18'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === '18' && out_array[out_array.length - 1] === 'a1005');
      }, 1);
    });
  });

  describe('数字-1', function () {
    it('', function () {
      run(function () {

        let test_array = ['1','2','3','18',"1005","060","7",'8','9','10','11'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === '1' && out_array[out_array.length - 1] === '1005');
      }, 1);
    });
  });



  describe('数字-1', function () {
    it('', function () {
      run(function () {

        let test_array = ["aa1005",'b18', 'b'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === 'aa1005' && out_array[out_array.length - 1] === 'b18');
      }, 1);
    });
  });


});

describe('混合', function () {

  describe('顺序', function () {
    it('数字', function () {
      run(function () {

        let test_array = ['1','2','3','18',"1005","060","7",'8','9','10','11'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);
        assert(out_array[0] === '1' && out_array[out_array.length - 1] === '1005');
      }, 1);
    });
  });

  describe('顺序', function () {
    it('数字', function () {
      run(function () {

        let test_array = ['a','ab','abc','111',"cC","D","A",'zz','c','333','222'];
        var out_array = SortFile(test_array);
        console.log(out_array);
        assert(out_array[0] === '111' && out_array[out_array.length - 1] === 'zz');
      }, 1);
    });
  });

  describe('The order', function () {
    it('无扩展名-文件-正序', function () {
      run(function () {

        let test_array = ['a','ab','abc','111',"cC","D","A",'zz','c','333','222'];
        var out_array = SortFile(test_array);
        console.log(out_array);
        assert(out_array[0] === '111' && out_array[out_array.length - 1] === 'zz');
      }, 1);
    });
  });

  describe('Reverse order', function () {
    it('无扩展名-文件-倒序', function () {
      run(function () {
        let test_array = ['a','ab','abc','111',"cC","D","A",'zz','c','333','222'];
        var out_array = SortFile(test_array, {reverse:true});
        console.log(out_array);
        assert(out_array[0] === 'zz' && out_array[out_array.length - 1] === '111');
      }, 1);
    });
  });

});



describe('node', function () {

  describe('node', function () {
    it('多扩展名节点-序顺-00', function () {
      run(function () {
        let test_array = ['a.txt','ab.txt','abc.txt'];
        var out_array = SortFile(test_array);
        console.log(out_array);

        assert(out_array[0] === 'a.txt' && out_array[out_array.length - 1] === 'abc.txt');
      }, 1);
    });
  });

  describe('node', function () {
    it('多扩展名节点-序顺-01', function () {
      run(function () {
        let test_array = ['b.a.txt','b.a02.txt','b.a01.txt','b.a1.txt','b.abc.txt'];
        var out_array = SortFile(test_array);
        console.log(out_array);

        assert(out_array[0] === 'b.a.txt' && out_array[out_array.length - 1] === 'b.abc.txt');
      }, 1);
    });
  });

  describe('node', function () {
    it('多扩展名节点-序顺-02', function () {
      run(function () {
        let test_array = ['b.0.txt','b.8.txt','b.7.txt','b.6.txt','b.3.txt'];
        var out_array = SortFile(test_array);
        console.log(out_array);

        assert(out_array[0] === 'b.0.txt' && out_array[out_array.length - 1] === 'b.8.txt');
      }, 1);
    });
  });



});

describe('diff_is_number', function () {


  describe('node', function () {
    it('按数字判定-序顺-01', function () {
      run(function () {
        let test_array = ['b.00.txt','b.08.txt','b.07.txt','b.06.txt','b.03.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === 'b.00.txt' && out_array[out_array.length - 1] === 'b.08.txt');
      }, 1);
    });
  });
  describe('node', function () {
    it('按数字判定-序顺-02', function () {
      run(function () {
        let test_array = ['ac.b.7.txt','ac.b.00.txt','ac.b.08.txt','ac.b.00018.txt','ac.b.0026.txt','ac.b.03.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === 'ac.b.00.txt' && out_array[out_array.length - 1] === 'ac.b.0026.txt');
      }, 1);
    });
  });

  describe('node', function () {
    it('按数字判定-序顺-03', function () {
      run(function () {
        let test_array = ['ac.b.aaa7.txt','ac.b.aaa00.txt','ac.b.aaa08.txt','ac.b.aaa00018.txt','ac.b.aaa0026.txt','ac.b.aaa03.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === 'ac.b.aaa00.txt' && out_array[out_array.length - 1] === 'ac.b.aaa0026.txt');
      }, 1);
    });
  });

  describe('node', function () {
    it('按数字判定-序顺-04', function () {
      run(function () {
        let test_array = ['ac111.b.1.txt','ac111.b.56246.txt','ac111.b.2.txt','ac111.b.3.txt','ac111.b.65.txt','ac3.b.15.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === 'ac111.b.1.txt' && out_array[out_array.length - 1] === 'ac111.b.56246.txt');
      }, 1);
    });
  });


  describe('node', function () {
    it('按数字判定-序顺-04', function () {
      run(function () {
        let test_array = ['ac02.b.11.txt','ac2.b.67.txt','ac00002.b.00085.txt','ac00003.b.65.txt','ac00001.b.54.txt','ac0004.b.92.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === 'ac02.b.11.txt' && out_array[out_array.length - 1] === 'ac0004.b.92.txt');
      }, 1);
    });
  });


  describe('node', function () {
    it('按数字判定-倒顺-05', function () {
      run(function () {
        let test_array = ['ac02.b.aaa7.1.txt','ac02.b.aaa00.2.txt','ac02.b.aaa08.5.txt','ac02.b.aaa00018.9.txt','ac02.b.aaa0026.11166.txt','ac02.b.aaa03.0458.txt'];
        var out_array = SortFile(test_array, {diff_is_number:true, reverse:true});
        console.log(out_array);

        assert(out_array[0] === 'ac02.b.aaa0026.11166.txt'  && out_array[out_array.length - 1] === 'ac02.b.aaa7.1.txt');
      }, 1);
    });
  });



});


describe('实例', function () {

  describe('node', function () {
    it('DICOM文件1', function () {
      run(function () {
        let test_array = [
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.1.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.10.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.11.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.12.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.13.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.14.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.15.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.16.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.17.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.18.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.19.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.2.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.20.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.21.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.22.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.23.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.24.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.25.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.3.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.4.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.5.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.6.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.7.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.8.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.9.dcm?path=D:\\tmp\\5dcm\\."
        ];



        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === '/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.1.dcm?path=D:\\tmp\\5dcm\\.'  && out_array[out_array.length - 1] === '/dicom/1.2.840.113619.2.55.3.604640569.363.1652092605.988/1.2.840.113619.2.55.3.604640569.363.1652092605.989.25.dcm?path=D:\\tmp\\5dcm\\.');
      }, 1);
    });
  });




  describe('node', function () {
    it('DICOM文件2', function () {
      run(function () {
        let test_array = [

          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.1.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.2.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.3.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.9.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.10.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.100.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.101.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.11.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.102.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.12.dcm?path=D:\\tmp\\5dcm\\.",
         
        ];


        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === '/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.1.dcm?path=D:\\tmp\\5dcm\\.'  && out_array[out_array.length - 1] === '/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.102.dcm?path=D:\\tmp\\5dcm\\.');
      }, 1);
    });
  });


  describe('node', function () {
    it('DICOM文件2', function () {
      run(function () {
        let test_array = [

          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.1.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.2.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.3.dcm?path=D:\\tmp\\5dcm\\.",
      
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.4.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.5.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.6.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.7.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.8.dcm?path=D:\\tmp\\5dcm\\.",
        
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.9.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.10.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.100.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.101.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.11.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.102.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.12.dcm?path=D:\\tmp\\5dcm\\.",
         
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.103.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.13.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.19.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.20.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.21.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.22.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.23.dcm?path=D:\\tmp\\5dcm\\.",
         /*
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.24.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.25.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.26.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.27.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.28.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.29.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.30.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.31.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.32.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.33.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.34.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.35.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.36.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.37.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.38.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.39.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.40.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.41.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.42.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.43.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.44.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.45.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.46.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.47.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.48.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.49.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.50.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.51.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.52.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.53.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.54.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.55.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.56.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.57.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.58.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.59.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.60.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.61.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.62.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.63.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.64.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.65.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.66.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.67.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.68.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.69.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.70.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.71.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.72.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.73.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.74.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.75.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.76.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.77.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.78.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.79.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.80.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.81.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.82.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.83.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.84.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.85.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.86.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.87.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.88.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.89.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.90.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.91.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.92.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.93.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.94.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.95.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.96.dcm?path=D:\\tmp\\5dcm\\.",
         */
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.97.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.98.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.99.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.104.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.14.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.105.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.15.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.106.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.16.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.107.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.17.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.108.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.18.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.109.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.110.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.111.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.112.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.113.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.114.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.115.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.116.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.117.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.118.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.119.dcm?path=D:\\tmp\\5dcm\\.",
         /*
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.120.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.121.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.122.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.123.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.124.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.125.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.126.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.127.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.128.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.129.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.130.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.131.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.132.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.133.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.134.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.135.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.136.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.137.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.138.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.139.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.140.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.141.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.142.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.143.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.144.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.145.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.146.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.147.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.148.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.149.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.150.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.151.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.152.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.153.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.154.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.155.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.156.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.157.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.158.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.159.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.160.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.161.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.162.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.163.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.164.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.165.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.166.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.167.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.168.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.169.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.170.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.171.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.172.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.173.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.174.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.175.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.176.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.177.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.178.dcm?path=D:\\tmp\\5dcm\\.",
         */
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.179.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.180.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.181.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.182.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.183.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.184.dcm?path=D:\\tmp\\5dcm\\.",
         "/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.185.dcm?path=D:\\tmp\\5dcm\\.",   
  
        ];


        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log("排序后:");
        console.log(out_array);

        assert(out_array[0] === '/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.1.dcm?path=D:\\tmp\\5dcm\\.'  && out_array[out_array.length - 1] === '/dicom/1.2.840.113619.2.55.3.604640569.492.1653261792.671.4/1.2.840.113619.2.55.3.604640569.492.1653261792.697.185.dcm?path=D:\\tmp\\5dcm\\.');
      }, 1);
    });
  });



  describe('node', function () {
    it('DICOM文件4', function () {
      run(function () {
        let test_array = [
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.1226919802768478504071194913806006494.28.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.1326315220132978827872885864395737958.19.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.1361768480484444425499527135612779686.18.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.1375148876879968910170000487491756040.27.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.2235168451025621150770086022819314200.16.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.3262531003161696695653458408826368759.17.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.3329194536637439351339613339069457736.9.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.3992020733902674125961867361486581480.25.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.409454565890345131436539996028315758.2.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.426862527016684950550902134957533655.26.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.4353712056216942851207484441757883251.11.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.4392713714470136836780902715412669530.12.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.4502164975718899715813793721275035150.13.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.4618573550057131756266536144838663018.3.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.6323230281259533626521418438015079782.1.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.6395472148389810333749152206491833261.4.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.6552281530896929394885935853257891221.8.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.6747639945168567289535829804795949045.23.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.7909610303980471511761137785792119113.15.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8076895386204820193014693324383779939.21.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8199463764920235943997353222932547065.7.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8212025908913477221201014328928423091.10.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8385156019066130968242182450275028457.6.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8507444429618404251074490049909202416.14.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8671711547635827634814524131814884931.22.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.8726666596699595605060411598856213026.20.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.9177500711179065413026513307172530456.24.dcm?path=D:\\tmp\\5dcm\\.",
          "/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.9572665160586034586674635853507392867.5.dcm?path=D:\\tmp\\5dcm\\."
        ];


        var out_array = SortFile(test_array, {diff_is_number:true});
        console.log(out_array);

        assert(out_array[0] === '/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.6323230281259533626521418438015079782.1.dcm?path=D:\\tmp\\5dcm\\.'  && out_array[out_array.length - 1] === '/dicom/2.16.840.1.113662.2.1.99999.561908492137470048195311821171660667.2/1.2.826.0.1.3680043.2.1125.1226919802768478504071194913806006494.28.dcm?path=D:\\tmp\\5dcm\\.');
      }, 1);
    });
  });


});
